% przygotowanie danych

load('fd001.mat')

XTrain = dsTrain(:,3:26)';    YTrain = dsTrain(:,27)';
XTest  = dsTest(:,3:26)';     YTest  = dsTest(:,27)';

% struktura sieci

net = feedforwardnet([10, 10, 1]);
net = configure(net, XTrain, YTrain);

% uczenie
net  = train(net, XTrain, YTrain);


% dokładność modelu

YPred = round(sim(net, XTrain));       % klasyfikacja obrazów treningowych
correct = (YPred==YTrain);             % prawidłowo rozpoznane
accTrain = sum(correct)/numel(YTrain)  % dokładność 
figure; confusionchart(YPred, YTrain)  % macierz pomyłek

YPred = round(sim(net, XTest));        % klasyfikacja obrazów testowych
correct = (YPred==YTest);              % prawidłowo rozpoznane
accTest = sum(correct)/numel(YTest)    % dokładność 
figure; confusionchart(YPred, YTest)   % macierz pomyłek